package org.one.stone.soup.dfml;

public abstract class DfmlData {
	
	protected int command;
	protected int index;

	protected String stringResult;
	protected boolean boolResult;
	
	protected int pointer;
public DfmlData() {
	super();
}
public void advance() {
	pointer+=2;

	if( isFinished() )
		return;
	
	command = getCommand(pointer);
	index = getCommand(pointer+1);
}
public abstract int getCommand(int pos);
public abstract int getCommandCount();
public void gotoIndex(int position) {
	pointer = position*2;

	command = getCommand(pointer);
	index = getCommand(pointer+1);
}
public void init() {

	pointer = 0;
	command = getCommand(pointer);
	index = getCommand(pointer+1);
}
public boolean isFinished() {

	if(pointer>=getCommandCount())
		return true;
	else
		return false;
}
public abstract String process();
}
