package org.one.stone.soup.grfx;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

public class BrightnessFilter implements Filter {
/**
 * BrightnessFilter constructor comment.
 */
public BrightnessFilter() {
	super();
}
/**
 * process method comment.
 */
public int[] process(int[] data, int w, int h) {

	int loopX;
	int loopY;
	Pixel pixel = new Pixel();
	Pixel newPixel = new Pixel();
	int pointer;
	int count;

	int[] newData = new int[data.length];
	for(loopY=0;loopY<h;loopY++)
	{
		for(loopX=0;loopX<w;loopX++)
		{
			pointer = (loopX+(loopY*w));

			pixel.setRGB(data[pointer]);

			count = PixelHelper.sumPixels(loopX-1,loopY-1,loopX+1,loopY+1,newPixel,data,w);

			if(count>0)
			{
				newPixel.alpha = newPixel.alpha/count;
				newPixel.red = newPixel.red/count;
				newPixel.green = newPixel.green/count;
				newPixel.blue = newPixel.blue/count;
			}
			newData[pointer]=newPixel.getRGB();
		}
	}

	return newData;
}
}
