package org.one.stone.soup.grfx;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

import java.awt.*;
public class ColorHelper {
private ColorHelper() {
}
public static String colorToHtml(Color color) {

	String red = Integer.toHexString( color.getRed() );
	String green = Integer.toHexString( color.getGreen() );
	String blue = Integer.toHexString( color.getBlue() );

	if(red.length()==1)
		red = "0"+red;
	if(green.length()==1)
		green = "0"+green;
	if(blue.length()==1)
		blue = "0"+blue;

	return new String("#"+red+green+blue).toUpperCase();
}
public static Color htmlToColor(String value) {

// #rrggbb
// 0123456

	if(value.length()==7 && value.charAt(0)=='#')
	{
		int red = Integer.parseInt(value.substring(1,3),16);
		int green = Integer.parseInt(value.substring(3,5),16);
		int blue = Integer.parseInt(value.substring(5,7),16);

		return new Color(red,green,blue);
	}

	return null;
}
}
