package org.one.stone.soup.mjdb.html;

import org.one.stone.soup.mjdb.data.group.*;

public class TableToHtml {
private TableToHtml() {
	super();
}
public static void tableToHtml(StringBuffer buffer, Table table)
{
	buffer.append("<TABLE>");

	buffer.append("\t<TR>");
	for(int loop=0;loop<table.getNoOfColumns();loop++)
	{
		buffer.append("\t\t<TH>"+table.getColumnTitle(loop)+"</TH>");
	}
	buffer.append("\t</TR>");

	for(int loopR=0;loopR<table.getNoOfRows();loopR++)
	{
		buffer.append("\t<TR>");
		for(int loop=0;loop<table.getNoOfColumns();loop++)
		{
			buffer.append("\t\t<TD>");
			try{
				buffer.append( table.getField(loop,loopR) );
			}
			catch(DatabaseException de)
			{
				buffer.append( de.toString() );
			}
			buffer.append("</TD>");
		}
		buffer.append("\t</TR>");
	}

	buffer.append("</TABLE>");
}
public static void tableToHtmlSelect(StringBuffer buffer, Table table,String column)
{
	buffer.append("<SELECT NAME=\""+column+"\">");

	for(int loopR=0;loopR<table.getNoOfRows();loopR++)
	{
		buffer.append("\t<OPTION> ");

		try{
			buffer.append( table.getField(column,loopR) );
		}
		catch(DatabaseException de)
		{
			buffer.append( de.toString() );
		}

		buffer.append("\n");
	}

	buffer.append("</SELECT>");
}
}
