package org.one.stone.soup.exception;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

import java.io.*;

import org.one.stone.soup.stringhelper.StringArrayHelper;
/**
 * Insert the type's description here.
 * Creation date: (22/03/03 12:33:57)
 * @author:
 */
public class ExceptionHelper {
private ExceptionHelper() {
	super();
}
public static String[] getStackTrace(Exception e)
{
	StringBuffer buffer = new StringBuffer();
	getStackTrace(buffer,e);

	return StringArrayHelper.parseFields(buffer.toString(),'\n');
}
public static void getStackTrace(StringBuffer trace,Exception e)
{
	 org.one.stone.soup.stringhelper.StringOutputStream oStream = new org.one.stone.soup.stringhelper.StringOutputStream();
	 PrintWriter writer = new PrintWriter(oStream);
	 e.printStackTrace(writer);
	 writer.flush();
	 trace.append(oStream.getData());
}
}
