package org.one.stone.soup.grfx;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class ShadowFilter implements Filter {
/**
 * process method comment.
 */
public int[] process(int[] data, int w, int h) {

	int loopX;
	int loopY;
	Pixel pixel = new Pixel();
	Pixel newPixel = new Pixel();
	int pointer=0;

	int[] newData = new int[data.length];
	for(loopY=0;loopY<h;loopY++)
	{
		for(loopX=0;loopX<w;loopX++)
		{
			if(loopX<5 || loopY<10)
			{
				pointer = (loopX+(loopY*w));
				newPixel.alpha = 255;
				newPixel.red = 255;
				newPixel.green = 255;
				newPixel.blue = 255;
				newData[pointer]=newPixel.getRGB();
			}
			else
			{
				pointer = ((loopX-5)+((loopY-10)*w));

				pixel.setRGB(data[pointer]);

				if(pixel.red==255 && pixel.green==255 && pixel.blue==255)
				{
					newPixel.alpha = 255;
					newPixel.red = 255;
					newPixel.green = 255;
					newPixel.blue = 255;
				}
				else
				{
					newPixel.alpha = 255;
					newPixel.red = 70;
					newPixel.green = 70;
					newPixel.blue = 70;
				}

				pointer = (loopX+(loopY*w));
				newData[pointer]=newPixel.getRGB();
			}

		}
	}

	data = newData;

	for(loopY=5;loopY<(h-5);loopY++)
	{
		for(loopX=5;loopX<(w-5);loopX++)
		{
			pointer = (loopX+(loopY*w));

			PixelHelper.averagePixels(loopX-5,loopY-5,loopX+5,loopY+5,newPixel,data,w);

			newData[pointer]=newPixel.getRGB();
		}
	}
	return newData;
}
}
