package org.one.stone.soup.mjdb.data.group;

import org.one.stone.soup.mjdb.data.field.*;

public class LockKey extends Row implements LockOwner {

	public LockKey( Table target,Object lockOwner ) throws LockException
	{
		super(3);

		try{
			setField( 0,target,lockOwner );
			setField( 1,lockOwner,lockOwner );
		}
		catch(Exception e)
		{
			throw new LockException( "Failed to generate LockKey. "+e.toString() );
		}
	}
	/**
	 * @see LockOwner#canForceUnlock(Lockable, LockOwner)
	 */
	public boolean canForceUnlock(Lockable data, LockOwner requester) {
		return false;
	}
	public String toString()
	{
		return "LockKey on "+getField(0)+" by "+getField(1);
	}
}
