package org.one.stone.soup.xapp.components.form;

import java.awt.Color;
import java.awt.Image;
import java.util.Vector;

import org.one.stone.soup.xapp.XappComponentStore;
import org.one.stone.soup.xapp.XappReceiver;
import org.one.stone.soup.xapp.components.XappComponent;
import org.one.stone.soup.xapp.containers.XappContainer;
import org.one.stone.soup.xml.XmlElement;

public interface XForm extends XappContainer{

	public abstract void initialize(XmlElement table,
			XappComponentStore componentStore);

	public abstract String getFormSource();

	public abstract void setFormSource(String source);

	public abstract void replaceElement(java.awt.Component oldElement,
			java.awt.Component newElement);

	public abstract XmlElement getData();

	public abstract XmlElement getData(boolean includeButtons);

	public abstract Vector getElements();

	public abstract XappComponent getElement(String name);

	public abstract XmlElement getElementData(Object src);

	public abstract void setBackground(Color color);

	public abstract void setBackgroundImage(Image img);

	public abstract void setData(XmlElement data);

	public abstract void setForeground(Color color);

	public abstract void addReceiver(XappReceiver receiver);

	public abstract void removeReceiver(XappReceiver receiver);

	public abstract void receiveXappData(XmlElement data);

	public abstract void setAdapter(XFormAdapter adapter);

	public abstract boolean hasAdapter();

	public abstract XFormAdapter getAdapter();

}